# Copyright 2023-2024 Geoffrey R. Scheller
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
### package datastructures

Designed to be helpful when using and implementation algorithms.

#### Modules and sub-packages

* module dtools.datastructures.nodes: nodes for graph-like data structures
* package dtools.datastructures.splitends: data sharing between mutable objects
* module dtools.datastructures.tuples: tuple-like data structures
* module dtools.datastructures.queues: queue data structures

"""
__version__ = "0.25.1"
__author__ = "Geoffrey R. Scheller"
__copyright__ = "Copyright (c) 2023-2025 Geoffrey R. Scheller"
__license__ = "Apache License 2.0"

